Bug 120028 - CAN-2004-0109 kernel iso9660 buffer overflow
CAN-2004-0109 kernel iso9660 buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
: Security
Depends On:
Blocks: 119235
  Show dependency treegraph
 
Reported: 2004-04-05 08:04 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 14:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-04-05 08:04:38 EDT
In Feburary, iDefense notified us of a flaw in the iso9660 filesystem
component of the Linux kernel.  

The Linux kernel performs no length checking on symbolic links stored
on an ISO9660 filesystem, allowing a malformed CD to perform an
arbitrary length overflow in kernel memory. 

In order to exploit this vulnerability, an attacker must be able to
mount a maliciously constructed filesystem (for example by being at
the machine in order to insert a cdrom)

This issue is embargoed until 1400UTC on April 14th 2004.
Comment 1 Ernie Petrides 2004-04-14 18:36:07 EDT
A fix for this problem has just now been committed to the
Taroon U2 kernel patch pool in kernel version 2.4.21-14.EL.
Comment 2 Mark J. Cox (Product Security) 2004-04-15 16:28:47 EDT
Removing embargo
Comment 3 Mark J. Cox (Product Security) 2004-04-21 14:47:09 EDT
RHSA-2003:183 is in progress and currently in QA.
Comment 4 Mark J. Cox (Product Security) 2004-04-22 14:52:26 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-183.html

Note You need to log in before you can comment on or make changes to this bug.